LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 04-26-2023, 02:54 AM   #466
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,441

Rep: Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191

PipeWire: A year in review & a look ahead
March 8, 2022


Code:
[...]
Last year began with busywork on the Bluetooth® front, with amazing volunteers testing and fixing things on PipeWire's 
Bluetooth® plugin. Throughout the year, the plugin evolved to become perhaps one of the best - if not the best - open source
Bluetooth® audio stack implementations that I am aware of. 
[...]
Then, in April, Fedora 34 became the first Linux distribution to ship PipeWire as its default audio service. 
While PipeWire was there before as a video transport service to enable screen sharing on Wayland, the addition of the 
audio layer by default exposed all of PipeWire's incredible capabilities to a broader audience. 
[...]
In the meantime, at Collabora, we have been tirelessly working on getting WirePlumber ready to become the default 
session manager for PipeWire. With the 0.4.0 release that came out in June, WirePlumber introduced all those needed 
elements to achieve this goal.
[...]
In September, we also integrated audio passthrough functionality in PipeWire. 
[...]
Finally, after some intense bug fixing in October, WirePlumber was made the default PipeWire session manager in 
Fedora 35. It was shortly followed by other major Linux distributions that had started to use PipeWire for audio 
in the meantime.
https://www.collabora.com/news-and-b...ew-look-ahead/
 
1 members found this post helpful.
Old 04-26-2023, 08:05 PM   #467
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,441

Rep: Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191
Quote:
Originally Posted by marav View Post
You need to compile pipewire with meson >= 0.61 (we have 0.59 in Slackware 15.0)
I found this patch:

reduce-meson-dependency.patch
https://build.opensuse.org/package/v...patch?expand=1
Code:
-  meson_version : '>= 0.61.1',
+  meson_version : '>= 0.59.4',
that will probably give us the opportunity to compile pipewire without having to upgrade meson

not tested

Last edited by marav; 04-26-2023 at 08:09 PM.
 
2 members found this post helpful.
Old 04-27-2023, 12:53 AM   #468
LuckyCyborg
Senior Member
 
Registered: Mar 2010
Posts: 3,605

Rep: Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470
Quote:
Originally Posted by marav View Post
I found this patch:

reduce-meson-dependency.patch
https://build.opensuse.org/package/v...patch?expand=1
Code:
-  meson_version : '>= 0.61.1',
+  meson_version : '>= 0.59.4',
that will probably give us the opportunity to compile pipewire without having to upgrade meson

not tested
Well, I have tested this patch and it works. Good catch!

BUT, we need the whole patch, because the Meson from Slackware 15.0 lacks a feature - to create symlinks on the install stage.

reduce-meson-dependency.patch
Code:
Index: pipewire-0.3.69/meson.build
===================================================================
--- pipewire-0.3.69.orig/meson.build
+++ pipewire-0.3.69/meson.build
@@ -1,7 +1,7 @@
 project('pipewire', ['c' ],
   version : '0.3.69',
   license : [ 'MIT', 'LGPL-2.1-or-later', 'GPL-2.0-only' ],
-  meson_version : '>= 0.61.1',
+  meson_version : '>= 0.59.4',
   default_options : [ 'warning_level=3',
                       'c_std=gnu11',
                       'cpp_std=c++17',
Index: pipewire-0.3.69/src/daemon/meson.build
===================================================================
--- pipewire-0.3.69.orig/src/daemon/meson.build
+++ pipewire-0.3.69/src/daemon/meson.build
@@ -116,11 +116,12 @@ foreach alias : ['pipewire-pulse', 'pipe
     input: pipewire_exec,
     output: alias,
   )
-  install_symlink(
-    alias,
-    pointing_to: pipewire_exec.name(),
-    install_dir: pipewire_bindir,
-  )
+  #install_symlink(
+    #  alias,
+    #  pointing_to: pipewire_exec.name(),
+    #  install_dir: pipewire_bindir,
+    #)
+  meson.add_install_script('sh', '-c', 'ln -s ' + pipewire_exec.name() + ' $DESTDIR/' + pipewire_bindir + '/' + alias)
 endforeach
 
 custom_target('pipewire-uninstalled',
Index: pipewire-0.3.69/src/tools/meson.build
===================================================================
--- pipewire-0.3.69.orig/src/tools/meson.build
+++ pipewire-0.3.69/src/tools/meson.build
@@ -73,11 +73,12 @@ if get_option('pw-cat').allowed() and sn
       input: pw_cat,
       output: alias,
     )
-    install_symlink(
-      alias,
-      pointing_to: pw_cat.name(),
-      install_dir: pipewire_bindir,
-    )
+    #install_symlink(
+      #  alias,
+      #  pointing_to: pw_cat.name(),
+      #  install_dir: pipewire_bindir,
+      #)
+    meson.add_install_script('sh', '-c', 'ln -s ' + pw_cat.name() + ' $DESTDIR/' + pipewire_bindir + '/' + alias)
   endforeach
 elif not sndfile_dep.found() and get_option('pw-cat').enabled()
   error('pw-cat is enabled but required dependency `sndfile` was not found.')
Of course, we need also a small change on pipewire.SlackBuild for applying that patch.
Code:
--- pipewire.SlackBuild.orig	2023-04-13 21:42:04.703611275 +0300
+++ pipewire.SlackBuild	2023-04-27 08:19:00.336680851 +0300
@@ -79,6 +79,9 @@
 tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
 cd $PKGNAM-$VERSION || exit 1
 
+# Reduce the Meson requirements:
+cat $CWD/reduce-meson-dependency.patch | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \

Last edited by LuckyCyborg; 04-27-2023 at 01:03 AM.
 
1 members found this post helpful.
Old 04-27-2023, 04:27 AM   #469
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,441

Rep: Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191
Quote:
Originally Posted by LuckyCyborg View Post
BUT, we need the whole patch, because the Meson from Slackware 15.0 lacks a feature - to create symlinks on the install stage.
I posted the link of the whole patch, right ?

My "code" section was just a small illustration of what it does

Anyway, glad it works

Last edited by marav; 04-27-2023 at 04:28 AM.
 
1 members found this post helpful.
Old 04-27-2023, 04:58 PM   #470
RadicalDreamer
Senior Member
 
Registered: Jul 2016
Location: USA
Distribution: Slackware64-Current
Posts: 1,823

Rep: Reputation: 987Reputation: 987Reputation: 987Reputation: 987Reputation: 987Reputation: 987Reputation: 987Reputation: 987
marav! When I logout of Plasma 5 in Slackware 15, drop down to runlevel 3, and then startx again I lose sound. I get it back if I reboot. I'm using wireplumber.
 
Old 04-30-2023, 03:41 AM   #471
BroX
Member
 
Registered: Oct 2003
Location: Sweden
Distribution: Slackware64-current, SlackwareARM-15.0
Posts: 833

Rep: Reputation: 90
I use i3 as window manager (i3wm) in -current. Before the integration of wireplumber, pipewire worked well. But wireplumber depends on xdg-desktop-portal, which is not started automatically in i3. When I run KDE sound works as it should. In i3, if I start both xdg-desktop-portal and wireplumber manually once i3 is up then sounds works as before.

So, I now start both xdg-desktop-portal and wireplumber in the user's i3 config file. This works, but is there a better/neater way to do this properly?

Last edited by BroX; 04-30-2023 at 04:01 AM.
 
Old 04-30-2023, 04:05 AM   #472
LuckyCyborg
Senior Member
 
Registered: Mar 2010
Posts: 3,605

Rep: Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470
Quote:
Originally Posted by BroX View Post
I use i3 as window manager (i3wm). Before the integration of wireplumber, pipewire worked well. But wireplumber depends on xdg-desktop-portal, which is not started automatically in i3. When I run KDE sound works as it should. In i3, if I start both xdg-desktop-portal and wireplumber manually once i3 is up then sounds works as before.

So, I now start both xdg-desktop-portal and wireplumber in the user's i3 config file. This works, but is there a better/neater way to do this properly?
Unfortunately for you, seem like that you try to use technologies that are not available for your particular amazing i3wm.

In fact, this xdg-desktop-portal frontend relies in backends customized by (and for) desktop environments, like:

GTK xdg-desktop-portal-gtk
GNOME xdg-desktop-portal-gnome
KDE xdg-desktop-portal-kde
LXQt xdg-desktop-portal-lxqt
Pantheon (Elementary) xdg-desktop-portal-pantheon
wlroots xdg-desktop-portal-wlr
Deepin xdg-desktop-portal-dde

https://github.com/flatpak/xdg-desktop-portal


So, I believe that the best way is to ask the i3 developers to make (and maintain) a backend for XDG Desktop Portal.

OR, even simpler, just use a full featured desktop environment like is Plasma5 or GNOME4.

PS. Ironically, looks like the Wayland variant of your beloved i3 has a backend for the XDG Desktop Portal - maybe is time to use more modern technologies, like is Wayland?

PS2. The XDG Desktop Portal daemon without a backend is useless- what you do right now is just a hack.

Last edited by LuckyCyborg; 04-30-2023 at 04:18 AM.
 
Old 04-30-2023, 04:15 AM   #473
LuckyCyborg
Senior Member
 
Registered: Mar 2010
Posts: 3,605

Rep: Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470
Quote:
Originally Posted by RadicalDreamer View Post
marav! When I logout of Plasma 5 in Slackware 15, drop down to runlevel 3, and then startx again I lose sound. I get it back if I reboot. I'm using wireplumber.
When you are on runlevel 3, this is NOT a logout, but just a shutdown of Plasma5. Maybe the Wireplumbler goes nuts when it remains without connection to the graphical interface. BUT, yep. You are right. Monsieur Marav is more in measure to respond to this question.

I for one, I will suggest you to logout from your user account then log in again. This way, the daemon supervisor will be able certainly to do its job to stop the PipeWire daemons.
 
1 members found this post helpful.
Old 04-30-2023, 05:21 AM   #474
BroX
Member
 
Registered: Oct 2003
Location: Sweden
Distribution: Slackware64-current, SlackwareARM-15.0
Posts: 833

Rep: Reputation: 90
Quote:
Originally Posted by LuckyCyborg View Post
OR, even simpler, just use a full featured desktop environment like is Plasma5 or GNOME4.

PS. Ironically, looks like the Wayland variant of your beloved i3 has a backend for the XDG Desktop Portal - maybe is time to use more modern technologies, like is Wayland?

PS2. The XDG Desktop Portal daemon without a backend is useless- what you do right now is just a hack.
Using a full-fledged DE is out of the question. But it may be worthwhile to investigate if wayland/sway, or support for it, has matured enough to make the switch.
It may be a hack, but if it is the only way to have sound it is not useless.
 
1 members found this post helpful.
Old 04-30-2023, 06:25 AM   #475
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,441

Rep: Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191
Quote:
Originally Posted by LuckyCyborg View Post
When you are on runlevel 3, this is NOT a logout, but just a shutdown of Plasma5. Maybe the Wireplumbler goes nuts when it remains without connection to the graphical interface. BUT, yep. You are right. Monsieur Marav is more in measure to respond to this question.

I for one, I will suggest you to logout from your user account then log in again. This way, the daemon supervisor will be able certainly to do its job to stop the PipeWire daemons.
I noticed that sometimes (wireplumber keeps running, even after the session ends)
I just kill the process

Don't know why
 
1 members found this post helpful.
Old 05-02-2023, 03:25 PM   #476
enorbet
Senior Member
 
Registered: Jun 2003
Location: Virginia
Distribution: Slackware = Main OpSys
Posts: 4,811

Rep: Reputation: 4447Reputation: 4447Reputation: 4447Reputation: 4447Reputation: 4447Reputation: 4447Reputation: 4447Reputation: 4447Reputation: 4447Reputation: 4447Reputation: 4447
I've seen that many other distros that now use Pipewire actually remove Pulseaudio. Is there now a way to removepkg pulseaudio in Slackware?
 
1 members found this post helpful.
Old 05-02-2023, 03:45 PM   #477
LuckyCyborg
Senior Member
 
Registered: Mar 2010
Posts: 3,605

Rep: Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470Reputation: 3470
Quote:
Originally Posted by enorbet View Post
I've seen that many other distros that now use Pipewire actually remove Pulseaudio. Is there now a way to removepkg pulseaudio in Slackware?
Well, the PulseAudio is NOT removed totally by those distributions.

How they split the packages in many sub-packages, those distros installs only the client side libraries and tools of PulseAudio.

A similar idea I have presented in the past for Slackware (and wasn't accepted or it was ignored), to split the PulseAudio server in a separate package named pulseaudio-server, which the user can NOT install at his wish. However, the client part present in the pulseaudio package is still required for being used with the PulseAudio server shipped by PipeWire.

In fact, that PipeWire do for a wide compatibility: it replaces the PulseAudio server with its own implementation of this server.

IF you really want this, I can upload (in the form of a tarball) that SlackBuild with split packages. If I remember right, it's for the version 15.0 but I guess can be modernized easily.

The pulseaudio (client) package then looks like this:
Code:
drwxr-xr-x root/root         0 2022-01-03 10:12 ./
drwxr-xr-x root/root         0 2022-01-03 10:12 etc/
drwxr-xr-x root/root         0 2022-01-03 10:12 etc/pulse/
-rw-r--r-- root/root      1230 2022-01-03 10:10 etc/pulse/client.conf.new
drwxr-xr-x root/root         0 2022-01-03 10:12 install/
-rw-r--r-- root/root      2987 2022-01-03 10:12 install/doinst.sh
-rw-r--r-- root/root       828 2022-01-03 10:12 install/slack-desc
drwxr-xr-x root/root         0 2022-01-03 10:12 lib/
drwxr-xr-x root/root         0 2022-01-03 10:12 lib/udev/
drwxr-xr-x root/root         0 2022-01-03 10:12 lib/udev/rules.d/
-rw-r--r-- root/root     11934 2021-07-27 23:02 lib/udev/rules.d/90-pulseaudio.rules
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/bin/
-rwxr-xr-x root/root      2093 2021-07-27 23:02 usr/bin/pa-info
-rwxr-xr-x root/root     48216 2022-01-03 10:12 usr/bin/pacat
-rwxr-xr-x root/root     18792 2022-01-03 10:12 usr/bin/pacmd
-rwxr-xr-x root/root     77080 2022-01-03 10:12 usr/bin/pactl
-rwxr-xr-x root/root      2229 2022-01-03 10:10 usr/bin/padsp
-rwxr-xr-x root/root     18896 2022-01-03 10:12 usr/bin/pasuspender
-rwxr-xr-x root/root     24656 2021-07-27 23:02 usr/bin/qpaeq
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/doc/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/doc/pulseaudio-15.0/
-rw-r--r-- root/root     17989 2021-07-27 23:02 usr/doc/pulseaudio-15.0/GPL
-rw-r--r-- root/root     26527 2021-07-27 23:02 usr/doc/pulseaudio-15.0/LGPL
-rw-r--r-- root/root      2192 2021-07-27 23:02 usr/doc/pulseaudio-15.0/LICENSE
-rw-r--r-- root/root       911 2021-07-27 23:02 usr/doc/pulseaudio-15.0/README
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/include/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/include/pulse/
-rw-r--r-- root/root      1278 2021-07-27 23:02 usr/include/pulse/cdecl.h
-rw-r--r-- root/root     17192 2021-07-27 23:02 usr/include/pulse/channelmap.h
-rw-r--r-- root/root     13537 2021-07-27 23:02 usr/include/pulse/context.h
-rw-r--r-- root/root     46711 2021-07-27 23:02 usr/include/pulse/def.h
-rw-r--r-- root/root      1178 2021-07-27 23:02 usr/include/pulse/direction.h
-rw-r--r-- root/root      1081 2021-07-27 23:02 usr/include/pulse/error.h
-rw-r--r-- root/root      4720 2021-07-27 23:02 usr/include/pulse/ext-device-manager.h
-rw-r--r-- root/root      3708 2021-07-27 23:02 usr/include/pulse/ext-device-restore.h
-rw-r--r-- root/root      3915 2021-07-27 23:02 usr/include/pulse/ext-stream-restore.h
-rw-r--r-- root/root     13759 2021-07-27 23:02 usr/include/pulse/format.h
-rw-r--r-- root/root      5050 2021-07-27 23:02 usr/include/pulse/gccmacro.h
-rw-r--r-- root/root      2071 2021-07-27 23:02 usr/include/pulse/glib-mainloop.h
-rw-r--r-- root/root     49895 2021-07-27 23:02 usr/include/pulse/introspect.h
-rw-r--r-- root/root      6220 2021-07-27 23:02 usr/include/pulse/mainloop-api.h
-rw-r--r-- root/root      2419 2021-07-27 23:02 usr/include/pulse/mainloop-signal.h
-rw-r--r-- root/root      5198 2021-07-27 23:02 usr/include/pulse/mainloop.h
-rw-r--r-- root/root      2269 2021-07-27 23:02 usr/include/pulse/operation.h
-rw-r--r-- root/root     22704 2021-07-27 23:02 usr/include/pulse/proplist.h
-rw-r--r-- root/root      7605 2021-07-27 23:02 usr/include/pulse/pulseaudio.h
-rw-r--r-- root/root      1127 2021-07-27 23:02 usr/include/pulse/rtclock.h
-rw-r--r-- root/root     13863 2021-07-27 23:02 usr/include/pulse/sample.h
-rw-r--r-- root/root      5348 2021-07-27 23:02 usr/include/pulse/scache.h
-rw-r--r-- root/root      6119 2021-07-27 23:02 usr/include/pulse/simple.h
-rw-r--r-- root/root     41832 2021-07-27 23:02 usr/include/pulse/stream.h
-rw-r--r-- root/root      3065 2021-07-27 23:02 usr/include/pulse/subscribe.h
-rw-r--r-- root/root     12874 2021-07-27 23:02 usr/include/pulse/thread-mainloop.h
-rw-r--r-- root/root      3052 2021-07-27 23:02 usr/include/pulse/timeval.h
-rw-r--r-- root/root      2027 2021-07-27 23:02 usr/include/pulse/utf8.h
-rw-r--r-- root/root      2093 2021-07-27 23:02 usr/include/pulse/util.h
-rw-r--r-- root/root      2371 2022-01-03 10:10 usr/include/pulse/version.h
-rw-r--r-- root/root     21959 2021-07-27 23:02 usr/include/pulse/volume.h
-rw-r--r-- root/root      3474 2021-07-27 23:02 usr/include/pulse/xmalloc.h
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/lib64/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/lib64/cmake/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/lib64/cmake/PulseAudio/
-rw-r--r-- root/root       418 2022-01-03 10:12 usr/lib64/cmake/PulseAudio/PulseAudioConfig.cmake
-rw-r--r-- root/root       472 2022-01-03 10:10 usr/lib64/cmake/PulseAudio/PulseAudioConfigVersion.cmake
-rwxr-xr-x root/root     18640 2022-01-03 10:12 usr/lib64/libpulse-mainloop-glib.so.0.0.6
-rwxr-xr-x root/root     22864 2022-01-03 10:12 usr/lib64/libpulse-simple.so.0.1.1
-rwxr-xr-x root/root    346000 2022-01-03 10:12 usr/lib64/libpulse.so.0.24.0
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/lib64/pkgconfig/
-rw-r--r-- root/root       336 2022-01-03 10:10 usr/lib64/pkgconfig/libpulse-mainloop-glib.pc
-rw-r--r-- root/root       326 2022-01-03 10:10 usr/lib64/pkgconfig/libpulse-simple.pc
-rw-r--r-- root/root       314 2022-01-03 10:10 usr/lib64/pkgconfig/libpulse.pc
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/lib64/pulseaudio/
-rwxr-xr-x root/root    557024 2022-01-03 10:12 usr/lib64/pulseaudio/libpulsecommon-15.0.so
-rwxr-xr-x root/root    742192 2022-01-03 10:12 usr/lib64/pulseaudio/libpulsecore-15.0.so
-rwxr-xr-x root/root     51912 2022-01-03 10:12 usr/lib64/pulseaudio/libpulsedsp.so
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/man/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/man/man1/
-rw-r--r-- root/root      1894 2022-01-03 10:10 usr/man/man1/pacat.1.gz
-rw-r--r-- root/root       576 2022-01-03 10:10 usr/man/man1/pacmd.1.gz
-rw-r--r-- root/root      2653 2022-01-03 10:10 usr/man/man1/pactl.1.gz
-rw-r--r-- root/root       704 2022-01-03 10:10 usr/man/man1/padsp.1.gz
-rw-r--r-- root/root       641 2022-01-03 10:10 usr/man/man1/pasuspender.1.gz
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/man/man5/
-rw-r--r-- root/root      3111 2022-01-03 10:10 usr/man/man5/pulse-cli-syntax.5.gz
-rw-r--r-- root/root      1872 2022-01-03 10:10 usr/man/man5/pulse-client.conf.5.gz
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/bash-completion/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/bash-completion/completions/
-rw-r--r-- root/root     15709 2022-01-03 10:10 usr/share/bash-completion/completions/pulseaudio
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/glib-2.0/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/glib-2.0/schemas/
-rw-r--r-- root/root      3063 2021-07-27 23:02 usr/share/glib-2.0/schemas/org.freedesktop.pulseaudio.gschema.xml
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/af/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/af/LC_MESSAGES/
-rw-r--r-- root/root     10401 2022-01-03 10:12 usr/share/locale/af/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/as/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/as/LC_MESSAGES/
-rw-r--r-- root/root     40248 2022-01-03 10:12 usr/share/locale/as/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/be/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/be/LC_MESSAGES/
-rw-r--r-- root/root     61582 2022-01-03 10:12 usr/share/locale/be/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/bg/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/bg/LC_MESSAGES/
-rw-r--r-- root/root      2253 2022-01-03 10:12 usr/share/locale/bg/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/bn_IN/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/bn_IN/LC_MESSAGES/
-rw-r--r-- root/root     41872 2022-01-03 10:12 usr/share/locale/bn_IN/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/ca/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/ca/LC_MESSAGES/
-rw-r--r-- root/root     32495 2022-01-03 10:12 usr/share/locale/ca/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/cs/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/cs/LC_MESSAGES/
-rw-r--r-- root/root     51843 2022-01-03 10:12 usr/share/locale/cs/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/da/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/da/LC_MESSAGES/
-rw-r--r-- root/root     69859 2022-01-03 10:12 usr/share/locale/da/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/de/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/de/LC_MESSAGES/
-rw-r--r-- root/root     49439 2022-01-03 10:12 usr/share/locale/de/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/de_CH/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/de_CH/LC_MESSAGES/
-rw-r--r-- root/root     25632 2022-01-03 10:12 usr/share/locale/de_CH/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/el/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/el/LC_MESSAGES/
-rw-r--r-- root/root     54316 2022-01-03 10:12 usr/share/locale/el/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/eo/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/eo/LC_MESSAGES/
-rw-r--r-- root/root      7608 2022-01-03 10:12 usr/share/locale/eo/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/es/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/es/LC_MESSAGES/
-rw-r--r-- root/root     69196 2022-01-03 10:12 usr/share/locale/es/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/fi/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/fi/LC_MESSAGES/
-rw-r--r-- root/root     66134 2022-01-03 10:12 usr/share/locale/fi/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/fr/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/fr/LC_MESSAGES/
-rw-r--r-- root/root     44932 2022-01-03 10:12 usr/share/locale/fr/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/gl/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/gl/LC_MESSAGES/
-rw-r--r-- root/root     63854 2022-01-03 10:12 usr/share/locale/gl/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/gu/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/gu/LC_MESSAGES/
-rw-r--r-- root/root     39091 2022-01-03 10:12 usr/share/locale/gu/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/he/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/he/LC_MESSAGES/
-rw-r--r-- root/root     10250 2022-01-03 10:12 usr/share/locale/he/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/hi/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/hi/LC_MESSAGES/
-rw-r--r-- root/root     36604 2022-01-03 10:12 usr/share/locale/hi/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/hr/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/hr/LC_MESSAGES/
-rw-r--r-- root/root     63391 2022-01-03 10:12 usr/share/locale/hr/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/hu/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/hu/LC_MESSAGES/
-rw-r--r-- root/root     52245 2022-01-03 10:12 usr/share/locale/hu/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/id/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/id/LC_MESSAGES/
-rw-r--r-- root/root     45603 2022-01-03 10:12 usr/share/locale/id/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/it/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/it/LC_MESSAGES/
-rw-r--r-- root/root     66195 2022-01-03 10:12 usr/share/locale/it/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/ja/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/ja/LC_MESSAGES/
-rw-r--r-- root/root     46301 2022-01-03 10:12 usr/share/locale/ja/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/kk/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/kk/LC_MESSAGES/
-rw-r--r-- root/root     21020 2022-01-03 10:12 usr/share/locale/kk/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/kn/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/kn/LC_MESSAGES/
-rw-r--r-- root/root     43435 2022-01-03 10:12 usr/share/locale/kn/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/ko/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/ko/LC_MESSAGES/
-rw-r--r-- root/root     70240 2022-01-03 10:12 usr/share/locale/ko/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/lt/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/lt/LC_MESSAGES/
-rw-r--r-- root/root     65172 2022-01-03 10:12 usr/share/locale/lt/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/ml/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/ml/LC_MESSAGES/
-rw-r--r-- root/root     45537 2022-01-03 10:12 usr/share/locale/ml/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/mr/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/mr/LC_MESSAGES/
-rw-r--r-- root/root     37758 2022-01-03 10:12 usr/share/locale/mr/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/nl/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/nl/LC_MESSAGES/
-rw-r--r-- root/root     69234 2022-01-03 10:12 usr/share/locale/nl/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/nn/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/nn/LC_MESSAGES/
-rw-r--r-- root/root     70135 2022-01-03 10:12 usr/share/locale/nn/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/oc/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/oc/LC_MESSAGES/
-rw-r--r-- root/root     38859 2022-01-03 10:12 usr/share/locale/oc/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/or/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/or/LC_MESSAGES/
-rw-r--r-- root/root     39672 2022-01-03 10:12 usr/share/locale/or/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/pa/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/pa/LC_MESSAGES/
-rw-r--r-- root/root     36601 2022-01-03 10:12 usr/share/locale/pa/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/pl/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/pl/LC_MESSAGES/
-rw-r--r-- root/root     77222 2022-01-03 10:12 usr/share/locale/pl/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/pt/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/pt/LC_MESSAGES/
-rw-r--r-- root/root     34717 2022-01-03 10:12 usr/share/locale/pt/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/pt_BR/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/pt_BR/LC_MESSAGES/
-rw-r--r-- root/root     71087 2022-01-03 10:12 usr/share/locale/pt_BR/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/ru/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/ru/LC_MESSAGES/
-rw-r--r-- root/root     88861 2022-01-03 10:12 usr/share/locale/ru/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/si/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/si/LC_MESSAGES/
-rw-r--r-- root/root       419 2022-01-03 10:12 usr/share/locale/si/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/sk/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/sk/LC_MESSAGES/
-rw-r--r-- root/root     30116 2022-01-03 10:12 usr/share/locale/sk/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/sr/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/sr/LC_MESSAGES/
-rw-r--r-- root/root     34345 2022-01-03 10:12 usr/share/locale/sr/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/sr@latin/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/sr@latin/LC_MESSAGES/
-rw-r--r-- root/root     27786 2022-01-03 10:12 usr/share/locale/sr@latin/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/sv/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/sv/LC_MESSAGES/
-rw-r--r-- root/root     71057 2022-01-03 10:12 usr/share/locale/sv/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/ta/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/ta/LC_MESSAGES/
-rw-r--r-- root/root     39964 2022-01-03 10:12 usr/share/locale/ta/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/te/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/te/LC_MESSAGES/
-rw-r--r-- root/root     41572 2022-01-03 10:12 usr/share/locale/te/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/tr/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/tr/LC_MESSAGES/
-rw-r--r-- root/root     71544 2022-01-03 10:12 usr/share/locale/tr/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/uk/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/uk/LC_MESSAGES/
-rw-r--r-- root/root     96117 2022-01-03 10:12 usr/share/locale/uk/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/zh_CN/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/zh_CN/LC_MESSAGES/
-rw-r--r-- root/root     44707 2022-01-03 10:12 usr/share/locale/zh_CN/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/zh_TW/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/locale/zh_TW/LC_MESSAGES/
-rw-r--r-- root/root     58561 2022-01-03 10:12 usr/share/locale/zh_TW/LC_MESSAGES/pulseaudio.mo
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/pulseaudio/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/pulseaudio/alsa-mixer/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/pulseaudio/alsa-mixer/paths/
-rw-r--r-- root/root      1415 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-aux.conf
-rw-r--r-- root/root      2185 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-dock-mic.conf
-rw-r--r-- root/root      1420 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-fm.conf
-rw-r--r-- root/root      2196 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-front-mic.conf
-rw-r--r-- root/root      2298 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-headphone-mic.conf
-rw-r--r-- root/root      2360 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-headset-mic.conf
-rw-r--r-- root/root      2797 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-internal-mic-always.conf
-rw-r--r-- root/root      3155 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-internal-mic.conf
-rw-r--r-- root/root      2609 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-linein.conf
-rw-r--r-- root/root      1457 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-mic-line.conf
-rw-r--r-- root/root      2797 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-mic.conf
-rw-r--r-- root/root      1330 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-mic.conf.common
-rw-r--r-- root/root      2185 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-rear-mic.conf
-rw-r--r-- root/root      1425 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-tvtuner.conf
-rw-r--r-- root/root      1385 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input-video.conf
-rw-r--r-- root/root      2056 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input.conf
-rw-r--r-- root/root      5769 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-input.conf.common
-rw-r--r-- root/root       309 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-output-chat.conf
-rw-r--r-- root/root      2540 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-output-headphones-2.conf
-rw-r--r-- root/root      3683 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-output-headphones.conf
-rw-r--r-- root/root      4123 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-output-lineout.conf
-rw-r--r-- root/root      2044 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-output-mono.conf
-rw-r--r-- root/root      3887 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-output-speaker-always.conf
-rw-r--r-- root/root      4952 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-output-speaker.conf
-rw-r--r-- root/root      2040 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-output.conf
-rw-r--r-- root/root     11778 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/analog-output.conf.common
-rw-r--r-- root/root       193 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/hdmi-output-0.conf
-rw-r--r-- root/root       195 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/hdmi-output-1.conf
-rw-r--r-- root/root       196 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/hdmi-output-10.conf
-rw-r--r-- root/root       195 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/hdmi-output-2.conf
-rw-r--r-- root/root       195 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/hdmi-output-3.conf
-rw-r--r-- root/root       195 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/hdmi-output-4.conf
-rw-r--r-- root/root       195 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/hdmi-output-5.conf
-rw-r--r-- root/root       195 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/hdmi-output-6.conf
-rw-r--r-- root/root       195 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/hdmi-output-7.conf
-rw-r--r-- root/root       195 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/hdmi-output-8.conf
-rw-r--r-- root/root       196 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/hdmi-output-9.conf
-rw-r--r-- root/root       789 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/iec958-stereo-input.conf
-rw-r--r-- root/root       712 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/iec958-stereo-output.conf
-rw-r--r-- root/root      1072 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/steelseries-arctis-output-chat-common.conf
-rw-r--r-- root/root      1064 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/steelseries-arctis-output-game-common.conf
-rw-r--r-- root/root      1273 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/usb-gaming-headset-input.conf
-rw-r--r-- root/root      1262 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/usb-gaming-headset-output-mono.conf
-rw-r--r-- root/root      1259 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/usb-gaming-headset-output-stereo.conf
-rw-r--r-- root/root       102 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/paths/virtual-surround-7.1.conf
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/pulseaudio/alsa-mixer/profile-sets/
-rw-r--r-- root/root      3909 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/audigy.conf
-rw-r--r-- root/root      1966 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/behringer-umc22.conf
-rw-r--r-- root/root      2867 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/cmedia-high-speed-true-hdaudio.conf
-rw-r--r-- root/root     22299 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/default.conf
-rw-r--r-- root/root      1579 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/dell-dock-tb16-usb-audio.conf
-rw-r--r-- root/root      5491 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/force-speaker-and-int-mic.conf
-rw-r--r-- root/root      5456 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/force-speaker.conf
-rw-r--r-- root/root      1315 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/hp-tbt-dock-120w-g2.conf
-rw-r--r-- root/root      1395 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/hp-tbt-dock-audio-module.conf
-rw-r--r-- root/root      1284 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/kinect-audio.conf
-rw-r--r-- root/root      2714 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/maudio-fasttrack-pro.conf
-rw-r--r-- root/root      2769 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/native-instruments-audio4dj.conf
-rw-r--r-- root/root      4999 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/native-instruments-audio8dj.conf
-rw-r--r-- root/root      3368 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/native-instruments-komplete-audio6.conf
-rw-r--r-- root/root      2713 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/native-instruments-korecontroller.conf
-rw-r--r-- root/root      3778 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/native-instruments-traktor-audio10.conf
-rw-r--r-- root/root      1583 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/native-instruments-traktor-audio2.conf
-rw-r--r-- root/root      2741 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/native-instruments-traktor-audio6.conf
-rw-r--r-- root/root      2419 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/native-instruments-traktorkontrol-s4.conf
-rw-r--r-- root/root      3536 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/sb-omni-surround-5.1.conf
-rw-r--r-- root/root      1958 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/sennheiser-gsx.conf
-rw-r--r-- root/root      2121 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/simple-headphones-mic.conf
-rw-r--r-- root/root       606 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/steelseries-arctis-common-usb-audio.conf
-rw-r--r-- root/root      2095 2021-07-27 23:02 usr/share/pulseaudio/alsa-mixer/profile-sets/usb-gaming-headset.conf
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/vala/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/vala/vapi/
-rw-r--r-- root/root         9 2021-07-27 23:02 usr/share/vala/vapi/libpulse-mainloop-glib.deps
-rw-r--r-- root/root       426 2021-07-27 23:02 usr/share/vala/vapi/libpulse-mainloop-glib.vapi
-rw-r--r-- root/root        16 2021-07-27 23:02 usr/share/vala/vapi/libpulse-simple.deps
-rw-r--r-- root/root      1683 2021-07-27 23:02 usr/share/vala/vapi/libpulse-simple.vapi
-rw-r--r-- root/root         6 2021-07-27 23:02 usr/share/vala/vapi/libpulse.deps
-rw-r--r-- root/root     64492 2021-07-27 23:02 usr/share/vala/vapi/libpulse.vapi
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/zsh/
drwxr-xr-x root/root         0 2022-01-03 10:12 usr/share/zsh/site-functions/
-rw-r--r-- root/root     31424 2021-07-27 23:02 usr/share/zsh/site-functions/_pulseaudio

Last edited by LuckyCyborg; 05-02-2023 at 03:56 PM.
 
2 members found this post helpful.
Old 05-02-2023, 08:10 PM   #478
Pithium
Member
 
Registered: Jul 2014
Location: Far side of the Oregon Trail
Distribution: Slackware64 15.0
Posts: 508

Rep: Reputation: 586Reputation: 586Reputation: 586Reputation: 586Reputation: 586Reputation: 586
Let it be known that today was the day LuckyCyborg offered a clear, concise, and accurate response to a question. No toxicity, no bombastic claims... I had all but forgotten he was capable of such technical wisdom... Rejoice!

It's worth mentioning that you can be a Pipewire Purist if you really want to. Pipewire has it's own API that applications can use rather than rely on the libpulse compatility daemon. So if you only install applications that support this API then you can remove pulse completely. Not saying that's a good idea but it's definitely a thing...
 
5 members found this post helpful.
Old 05-02-2023, 11:12 PM   #479
Pithium
Member
 
Registered: Jul 2014
Location: Far side of the Oregon Trail
Distribution: Slackware64 15.0
Posts: 508

Rep: Reputation: 586Reputation: 586Reputation: 586Reputation: 586Reputation: 586Reputation: 586
Hey check this out, audacious added a Pipewire output plugin
https://audacious-media-player.org/n...s-4-3-released

and it was added to -current. I wonder if this means you can completely remove pulseaudio, disable the pipewire-pulse daemon and select the appropriate output plugin to use pipewire directly?


Code:
Mon May  1 20:22:43 UTC 2023
a/kernel-generic-6.1.27-x86_64-1.txz:  Upgraded.
a/kernel-huge-6.1.27-x86_64-1.txz:  Upgraded.
a/kernel-modules-6.1.27-x86_64-1.txz:  Upgraded.
a/pciutils-3.10.0-x86_64-1.txz:  Upgraded.
a/utempter-1.2.1-x86_64-1.txz:  Upgraded.
d/kernel-headers-6.1.27-x86-1.txz:  Upgraded.
k/kernel-source-6.1.27-noarch-1.txz:  Upgraded.
l/libsoup3-3.4.2-x86_64-1.txz:  Upgraded.
l/libwpg-0.3.4-x86_64-1.txz:  Upgraded.
l/qca-2.3.6-x86_64-1.txz:  Upgraded.
n/gnupg2-2.4.1-x86_64-1.txz:  Upgraded.
n/netatalk-3.1.15-x86_64-1.txz:  Upgraded.
  This update fixes security issues, including a critical vulnerability that
  allows remote attackers to execute arbitrary code on affected installations
  of Netatalk. Authentication is not required to exploit this vulnerability.
  For more information, see:
    https://www.cve.org/CVERecord?id=CVE-2022-43634
    https://www.cve.org/CVERecord?id=CVE-2022-45188
  (* Security fix *)
xap/audacious-4.3.1-x86_64-1.txz:  Upgraded.
xap/audacious-plugins-4.3.1-x86_64-1.txz:  Upgraded.
xfce/thunar-4.18.6-x86_64-1.txz:  Upgraded.
isolinux/initrd.img:  Rebuilt.
kernels/*:  Upgraded.
usb-and-pxe-installers/usbboot.img:  Rebuilt.
 
1 members found this post helpful.
Old 05-05-2023, 03:48 PM   #480
FTIO
Member
 
Registered: Mar 2015
Location: Las Vegas, NV
Distribution: Slackware 15.0 x64, Slackware Live 15.0 x64
Posts: 618

Rep: Reputation: 361Reputation: 361Reputation: 361Reputation: 361
I wanted something better also, being not a 'professional' audiophile, but close to it...my music is *extremely* important to me, and can tell when the songs are being outputted crappily or pretty darn good. (Yeah, yeah...my terminology for anything has much to be desired, heh)

I missed Alsa terribly after everyone went to the pulse audio escaped abortion. I could instantly tell the difference between my older Slackware (the last using Alsa, I don't remember the version, sorry, 14.2 maybe?) using Alsa and the later ones using Pulse. The sound was bland. I don't know any other way to explain it. Pulse just didn't know what it was doing very well.

Then I started to pay attention to this thread, in the hopes of reading that people were liking what was being offered over Pulse. So, I took the plunge last night. I read the post below:

Quote:
Originally Posted by fourtysixandtwo View Post
These instructions are for running with KDE, there might be other steps needed for another DE.

Code:
BUILDDIR=~/builds
mkdir -p $BUILDDIR
pushd $BUILDDIR
lftp -c "mirror https://mirrors.kernel.org/slackware/slackware64-current/source/d/meson"
pushd meson
sh meson.SlackBuild
upgradepkg /tmp/meson-1.0.1-x86_64-1.txz

popd
lftp -c "mirror https://mirrors.kernel.org/slackware/slackware64-current/source/l/pipewire"
pushd pipewire
sh pipewire.SlackBuild
upgradepkg /tmp/pipewire-0.3.70-x86_64-1.txz

#I've found it best to run the disable/enable scripts afterwards, but YMMV if you've modified anything they touch.
pipewire-disable.sh
pipewire-enable.sh

#logout and log back in (after making sure no pipewire/wireplumber process are still running if started previously)
...doing everything to the 'T'. Instead of 'logging out', I just rebooted, figuring it wasn't any big deal.

When I was back in my system, I started up Audacious (my favorite player!), changed it to know it was to use Pipewire, and started up an m3u playlist of several I have.

I *INSTANTLY* could hear the difference in how Pipewire played my music compared to Pulse! I mean literally, it was almost like the difference between light and dark. Pipewire was making my music sound like it was supposed to again! Not only that, it knew how to utilize my Sound Blaster Audigy Rx correctly and my Logitech Z680 speaker setup, using either analog or digital! It also didn't make awful little bloop-like sounds when I raised or lowered the volume using the mouse wheel,like Pulse did.

All I can say is this is amazing once again and I can't thank everyone enough for bringing this thread up and discussing it and offering the ways to get it setup and working in our Slackware 15 systems. This is the reason why I really dig this place...things get done and done well and the people are (usually) pretty cool about it.

Thank you everyone and thank you to Pat for Slackware being on top once again (it always has been, but I hated where the music playing was going - downhill, not Pat's fault though). As far as I'm concerned, Pipewire needs to just be standard now in all following versions of Slackware after 15.
 
4 members found this post helpful.
  


Reply

Tags
pipewire, pulseaudio



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Pipewire pulseaudio emulation without pulseaudio installed (works) adcdam Slackware 18 04-02-2021 01:34 AM
Plasma 5.20 Beta? It is rock solid, excluding the taskbar thumbnails on Wayland - or rather because Pipewire needs "per user" init scripts LuckyCyborg Slackware 3 09-21-2020 02:50 PM
LXer: This Week in Linux 94: Mesa 20, PipeWire, Linux Be Scary, MyPaint, GTK, Microsoft Defender LXer Syndicated Linux News 0 02-26-2020 07:23 PM
LXer: Improved multimedia support with Pipewire in Fedora 27 LXer Syndicated Linux News 0 09-20-2017 02:54 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 09:44 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration